JikesOutputParser (Apache Ant API)
Date: 2018-07-10

org.apache.tools.ant.taskdefs

## Class JikesOutputParser

- java.lang.Object
- - org.apache.tools.ant.taskdefs.JikesOutputParser

- All Implemented Interfaces:
    ExecuteStreamHandler

  Deprecated.
  since 1.2. Use Jikes' exit value to detect compilation failure.

      @Deprecated
      public class JikesOutputParser
      extends java.lang.Object
      implements ExecuteStreamHandler

  Parses output from jikes and passes errors and warnings into the right logging channels of Project.

  As of Ant 1.2, this class is considered to be dead code by the Ant developers and is unmaintained. Don't use it.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.io.BufferedReader` | `br` Deprecated.
    `protected boolean` | `emacsMode` Deprecated.
    `protected boolean` | `error` Deprecated.
    `protected boolean` | `errorFlag` Deprecated.
    `protected int` | `errors` Deprecated.
    `protected Task` | `task` Deprecated.
    `protected int` | `warnings` Deprecated.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JikesOutputParser(Task task, boolean emacsMode)` Deprecated. Construct a new Parser object

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `getErrorFlag()` Deprecated. Indicate if there were errors during the compile
    `protected void` | `parseOutput(java.io.BufferedReader reader)` Deprecated. Parse the output of a jikes compiler
    `void` | `setProcessErrorStream(java.io.InputStream is)` Deprecated. Ignore.
    `void` | `setProcessInputStream(java.io.OutputStream os)` Deprecated. Ignore.
    `void` | `setProcessOutputStream(java.io.InputStream is)` Deprecated. Set the inputstream
    `void` | `start()` Deprecated. Invokes parseOutput.
    `void` | `stop()` Deprecated. Ignore.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### task

          protected Task task

      Deprecated.

    - #### errorFlag

          protected boolean errorFlag

      Deprecated.

    - #### errors

          protected int errors

      Deprecated.

    - #### warnings

          protected int warnings

      Deprecated.

    - #### error

          protected boolean error

      Deprecated.

    - #### emacsMode

          protected boolean emacsMode

      Deprecated.

    - #### br

          protected java.io.BufferedReader br

      Deprecated.

  - ### Constructor Detail

    - #### JikesOutputParser

          protected JikesOutputParser(Task task,
                                      boolean emacsMode)

      Deprecated.
      Construct a new Parser object
      Parameters:
        `task` - task in which context we are called
        `emacsMode` - if true output in emacs mode

  - ### Method Detail

    - #### setProcessInputStream

          public void setProcessInputStream(java.io.OutputStream os)

      Deprecated.
      Ignore.
      Specified by:
        `setProcessInputStream` in interface `ExecuteStreamHandler`
      Parameters:
        `os` - ignored

    - #### setProcessErrorStream

          public void setProcessErrorStream(java.io.InputStream is)

      Deprecated.
      Ignore.
      Specified by:
        `setProcessErrorStream` in interface `ExecuteStreamHandler`
      Parameters:
        `is` - ignored

    - #### setProcessOutputStream

          public void setProcessOutputStream(java.io.InputStream is)
                                      throws java.io.IOException

      Deprecated.
      Set the inputstream
      Specified by:
        `setProcessOutputStream` in interface `ExecuteStreamHandler`
      Parameters:
        `is` - the input stream
      Throws:
        `java.io.IOException` - on error

    - #### start

          public void start()
                     throws java.io.IOException

      Deprecated.
      Invokes parseOutput.
      Specified by:
        `start` in interface `ExecuteStreamHandler`
      Throws:
        `java.io.IOException` - on error

    - #### stop

          public void stop()

      Deprecated.
      Ignore.
      Specified by:
        `stop` in interface `ExecuteStreamHandler`

    - #### parseOutput

          protected void parseOutput(java.io.BufferedReader reader)
                              throws java.io.IOException

      Deprecated.
      Parse the output of a jikes compiler
      Parameters:
        `reader` - - Reader used to read jikes's output
      Throws:
        `java.io.IOException` - on error

    - #### getErrorFlag

          protected boolean getErrorFlag()

      Deprecated.
      Indicate if there were errors during the compile
      Returns:
        if errors occurred